.cart-field {
  position: relative;
  margin: 5px auto;
  border-radius: 5px;
  border: #cccccc 1px solid;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

input.cart-input {
  border-style: none;
  border: 0 solid red;
}

select.cart-input {
  padding-top: 20px;
  padding-bottom: 20px;
}

.cart-input {
  display: block;
  line-height: 2em;
  margin: 0;
  padding: 12px 12px;
  width: 100%;
  font-size: 16px;
  background: #0000ff00;
  outline: none;
}

.cart-label {
  display: block;
  position: absolute;
  opacity: 0;
  bottom: 1.9rem;
  padding-left: 12px;
  color: #5d5d5d;
  transition: 0.2s ease-in-out;
}

.cart-input:placeholder-shown + .cart-label {
  visibility: hidden;
  z-index: -1;
  transform: translateY(12px);
  transition: 0.2s ease-in-out transform;
  font-size: 16px;
}

.cart-input:not(:placeholder-shown) + .cart-label,
.cart-input:focus:not(:placeholder-shown) + .cart-label {
  visibility: visible;
  z-index: 1;
  opacity: 1;
  transform: translateY(0px);
  transition: 0.2s ease-in-out transform;
  font-size: 14px;
}

.cart-input:not(:placeholder-shown),
.cart-input:focus:not(:placeholder-shown) {
  transform: translateY(8px);
  border-style: none;
  transition: 0.2s ease-in-out;
  border-style: none !important;
}

.rounded-border {
  border-radius: 5px;
  border: #cccccc 1px solid;
}

div#billShipSameYes,
div#billShipSameNo,
div#calcShipping {
  cursor: pointer;
}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0, 0, 0); /* Fallback color */
  background-color: rgba(0, 0, 0, 0.4); /* Black w/ opacity */
}

/* Modal Content */
.modal-content {
  background-color: #fefefe;
  margin: auto;
  padding: 20px;
  border: 2px solid #333333;
  border-radius: 10px;
  width: 80%;
  max-width: 600px;
  box-shadow: 4px 4px 4px 4px #44444480;
  -webkit-box-shadow: 4px 4px 4px 4px #44444480;  
}

/* The Close Button */
.modal-button {
  background: #dddddd;
  color: #000000;
  font-weight: bold;
  border: 1px solid #000000;
  border-radius: 5px;
  padding: 5px 10px;
}

.modal-button:hover,
.modal-button:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
  background: #aaaaaa;
}
